Mit welchen Firebird-Versionen kann Amicron-Faktura eingesetzt werden?

Amicron-Faktura 8.0 kann mit Firebird 1.0 und Firebird 1.5 eingesetzt werden. Höhere Versionen (2.0 aufwärts) werden nicht unterstützt und verursachen Fehlermeldungen beim Programmstart oder während des Programmablaufs.

Amicron-Faktura 8.5 kann mit Firebird 1.5 und Firebird 2.0 eingesetzt werden, sofern Sie ein aktuelles Release von Version 8.5 einsetzen.

Amicron-Faktura 9.0 kann noch mit Firebird 1.5 eingesetzt werden, es wird jedoch dringend empfohlen, Firebird 2.0 zu verwenden.

Amicron-Faktura 10.0 unterstützt Firebird 2.0 und 2.1.

Wenn Sie bereits eine ältere Firebird-Version eingesetzt haben und auf eine neuere Version aktualisieren, ist es empfehlenswert zuerst ein Backup der alten Datenbank anzulegen (Menü „Extras > Datensicherung > erstellen“), dann die alte Firebird-Version zu deinstallieren, anschließend die neue zu installieren und dann die alte Datenbank zurückzusichern (Menü „Extras > Datensicherung > zurücksichern“).
Bei manchen Updates (z.B. von Firebird 2.0 auf 2.1) ist dieser Vorgang zwingend notwendig, da die Version 2.1 das Format von Firebird 2.0 nicht verarbeiten kann. Falls Sie den obigen Vorgang nicht manuell durchführen, erscheint beim Programmstart automatisch ein Hinweis, dass ein Backup und Restore notwendig ist, was dann vom Programm automatisch durchgeführt wird.

Weitere Infos finden Sie im folgenden Beitrag:
http://Amicron.org/blog/2009/02/02/wie-kann-der-firebird-datenbanktreiber-aktualisiert-werden

3 Gedanken zu „Mit welchen Firebird-Versionen kann Amicron-Faktura eingesetzt werden?

  1. Johannes Mertens

    Sie schreiben, dass Amicron-Faktura 10.0 Firebird 2.1 unterstützt. Da ich gerne einen 64bit Windows Server einsetzen möchte benötige ich den Firebird 2.1 zwingend, soweit ich weiß, da der Firebird 2.0 nicht in einer x64 Version für Windows erhältlich ist.

    Können Sie abschätzen, wann mit Amicron-Faktura 10.0 zu rechnen ist?

  2. Andreas Kleine Artikelautor

    Version 10 ist zur Zeit im Beta-Test, ein Erscheinungstermin ist noch nicht absehbar.
    Version 9.0 unterstützt ab dem Release vom 4.12.08 inoffiziell ebenfalls Firebird 2.1, wurde jedoch noch nicht 100%ig mit dieser Datenbank durchgetestet.

  3. Johannes Mertens

    Vielen Dank für die schnelle Antwort.

    Dann werde ich schauen, dass wir mit der Migration zu einer Warenwirtschaft (evtl. Amicron) noch ein wenig warten, bis die Version 10.0 von Amicron Faktura erscheint.

Schreib einen Kommentar

Deine E-Mail-Adresse wird nicht veröffentlicht. Erforderliche Felder sind markiert *